import WPJSBase from "../Base/WPJSBase";
import StatusDataType from "../Types/Data/StatusDataType";
/**
 * The Status class.
 * @since 3.0.0
 */
export default class Status extends WPJSBase<StatusDataType[] | StatusDataType> {
    constructor(endpoint?: string);
    /**
     * Fetch a single status.
     * @since 3.0.0
     * @example
     * import { Status } from '@quickdevelopment/wp-js';
     *
     * const status = new Status();
     *
     * status.fetch().then((data) => {
     *     console.log(data);
     * });
     */
    fetch(): Promise<StatusDataType>;
    /**
     * Fetch many statuses.
     *
     * @since 3.0.0
     * @example
     * import { Status } from '@quickdevelopment/wp-js';
     *
     * const status = new Status();
     *
     * status.fetchMany().then((data) => {
     *    console.log(data);
     * });
     */
    fetchMany(): Promise<StatusDataType[]>;
}
